import request from '@/utils/request'
import { MockData } from '@/mock/leftTree.js';

// 批量更新边界图位置大小等信息
export function chartBatch(data) {
  return request({
    url: request.apiModule.rdfm + '/chartmap/batch',
    method: 'put',
    data
  })
}

//在边界图中显示隐藏
export function showOrHideStru(id) {
  return request({
    url: request.apiModule.rdfm + '/chartmap/display',
    method: 'put',
    data: { id: id }
  })
}

// 单个更新边界图位置大小等信息
export function chartSingle(data) {
  return request({
    url: request.apiModule.rdfm + '/chartmap/single',
    method: 'put',
    data
  })
}

// 获取边界图连线信息
export function getChartConnect(params) {
  return request({
    url: request.apiModule.rdfm + '/chartmap/connect',
    method: 'get',
    params
  })
}

// 添加边界图连线信息
export function addChartConnect(data) {
  return request({
    url: request.apiModule.rdfm + '/chartmap/connect',
    method: 'post',
    data
  })
}

// 修改边界图连线信息
export function updateChartConnect(data) {
  return request({
    url: request.apiModule.rdfm + '/chartmap/connect',
    method: 'put',
    data
  })
}

// 删除边界图连线信息
export function delChartConnect(data) {
  return request({
    url: request.apiModule.rdfm + '/chartmap/connect',
    method: 'delete',
    data
  })
}

// 获取左侧结构树
export function getChartTree(params) {
  return new Promise(function (resolve, reject) {
    resolve(MockData);
  });
  return request({
    url: request.apiModule.rdfm + '/chartmap/tree/left',
    method: 'get',
    params
  })
}
